import shlex
import unittest

from nclu.tests.utils import get_patcher, install_system_mocks


class BaseTest(unittest.TestCase):

    def setUp(self):
        install_system_mocks()
        self.patcher = get_patcher()

    def tearDown(self):
        self.patcher.reset()

    def execute_command(self, daemon, command):
        from nclu.execute_command import execute_command
        daemon.nclu_parser.re_init()
        success, _ = daemon.nclu_parser.run(shlex.split(command))
        self.assertTrue(success)
        return execute_command(
            daemon.nclu_parser.argv_expanded, daemon)
